
Name:          hppc
Version:       0.4.0
Release:       %mkrel 1
Summary:       High Performance Primitive Collections for Java
Group:         Development/Java
License:       ASL 2.0
Url:           http://labs.carrotsearch.com/hppc.html
# mkdir -p hppc-0.4.0
# git clone git://github.com/carrotsearch/hppc.git
# cd hppc
# git archive 0.4.0 | tar -x -C ../hppc-0.4.0
# cd ..
# tar czf hppc-0.4.0-src-git.tar.gz hppc-0.4.0
Source0:       hppc-0.4.0-src-git.tar.gz

Patch0:        hppc-0.4.0-parent-pom.patch
Patch1:        hppc-0.4.0-core-pom.patch
Patch2:        hppc-0.4.0-TemplateProcessor.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: sonatype-oss-parent

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: ant-nodeps
BuildRequires: ant-trax
BuildRequires: apache-commons-io
BuildRequires: apache-commons-lang
BuildRequires: caliper
BuildRequires: fastutil
BuildRequires: h2
BuildRequires: guava09
BuildRequires: junit4
BuildRequires: junit-benchmarks
BuildRequires: mahout-collections
BuildRequires: trove4j
BuildRequires: velocity

BuildRequires: findbugs-maven-plugin
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-jxr
BuildRequires: maven-pmd-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      ant
Requires:      apache-commons-io
Requires:      apache-commons-lang
Requires:      caliper
Requires:      fastutil
Requires:      google-gson
Requires:      guava09
Requires:      h2
Requires:      hamcrest
Requires:      java-allocation-instrumenter
Requires:      junit4
Requires:      junit-benchmarks
Requires:      mahout-collections
Requires:      objectweb-asm
Requires:      trove4j
Requires:      velocity

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
HPPC provides template-generated implementations of typical collections,
such as lists, sets and maps, for all Java primitive types. The primary
driving force behind HPPC is optimization for highest performance and
memory efficiency. 

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hppc-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0

find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;

sed -i 's|<systemPath>${project.basedir}/lib/trove-3.0.0rc1.jar</systemPath>|<systemPath>/usr/share/java/trove4j.jar</systemPath>|' hppc-benchmarks/pom.xml
#ln -sf /usr/share/java/trove4j.jar hppc-benchmarks/lib/trove-3.0.0rc1.jar

%build

mvn-rpmbuild -e \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}-benchmarks/target/%{name}-benchmarks-%{version}.jar %{buildroot}%{_javadir}/%{name}-benchmarks.jar
install -pm 644 %{name}-core/target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 %{name}-examples/target/%{name}-examples-%{version}.jar %{buildroot}%{_javadir}/%{name}-examples.jar
install -pm 644 %{name}-templateprocessor/target/%{name}-templateprocessor-%{version}.jar %{buildroot}%{_javadir}/%{name}-templateprocessor.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-parent.pom
install -pm 644 %{name}-benchmarks/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-benchmarks.pom
%add_maven_depmap JPP-%{name}-benchmarks.pom %{name}-benchmarks.jar
install -pm 644 %{name}-core/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
install -pm 644 %{name}-examples/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-examples.pom
%add_maven_depmap JPP-%{name}-examples.pom %{name}-examples.jar
install -pm 644 %{name}-templateprocessor/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-templateprocessor.pom
%add_maven_depmap JPP-%{name}-templateprocessor.pom %{name}-templateprocessor.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-benchmarks.jar
%{_javadir}/%{name}-examples.jar
%{_javadir}/%{name}-templateprocessor.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc CHANGES LICENSE README

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Nov 29 2011 gil <gil> 0.4.0-1.mga2
+ Revision: 174005
- imported package hppc

